Subject: [Int-dir] intdir Early Review for draft-ietf-dnssd-mdns-dns-interop

From: "Bernie Volz (volz)" <[email-masked]>
Date: Sun, 5 Mar 2017 15:15:55 +0000

Hi:

I am an assigned INT directorate reviewer for draft-ietf-dnssd-mdns-dns-interop. These comments were written primarily for the benefit of the Internet Area Directors. Document editors and shepherd(s) should treat these comments just like they would treat comments from any other IETF contributors and resolve them along with any other Last Call comments that have been received. For more details on the INT Directorate, see http://www.ietf.org/iesg/directorate.html.

First, to answer the questions in the review request:

	Internet area: focus on impacts related to internet technologies

	IoT Directorate: Look for and highlight any issues that might be raised for IoT devices in this interop,

	Ops: Are there any DNS operational implications to Label interop that should be raised.

This does have a potential future impact on how systems resolve names or what (encoding for) names might be "usable" in the future. But as this document is about the requirements for future development, this is more informational as to what the issues are and how they might be addressed. This does mean:
- DNS components that restrict the character set allowed in the "host" label may have issues coping with DNS-SD.
- Device (IoT and otherwise) that use DNS-SD may need to consider the names used carefully to better interoperate with all DNS-SD resolution mechanisms.

Second, I believe this document is ready.

This document is Informational and only presents some requirements for future development. It is well written and fairly clear. While it presents some options as to how DNS-SD resolves might do to handle resolving names given the different "character set" uses related to mDNS, DNS, and perhaps other name resolution systems, it does not specify any particular solution this the issues.

I do wonder if the last sentence in the abstract should be tweaked a bit. Perhaps changing "outline of the requirements" to "outline of the requirements for future development" (based on text in the Security Considerations)? Just saying "requirements" here could leave one thinking that this specifies the processing (especially given the title, which does not make it clear that this is a "requirements" document). The other possibility would be to tweak the title (Requirements on Interoperation of Labels ...)?

Nits (these are very minor and would likely be handled by RFC editor):

- Rigour uses British English spelling.
- "along side" should likely be "alongside".
- Uses "this document" and "this memo", perhaps useful to pick one? RFC template intermixes usage of memo and document so perhaps this is a non-issue.

- Bernie

-----Original Message-----
From: Terry Manderson [mailto:[email-masked]] 
Sent: Wednesday, March 01, 2017 1:14 AM
To: Bernie Volz (volz) <[email-masked]>; Carlos Bernardos <[email-masked]>
Subject: intdir Early Review requested

Early review of: draft-ietf-dnssd-mdns-dns-interop (rev. 04)
Deadline: 2017-03-15
Requested by: Terry Manderson

https://datatracker.ietf.org/doc/draft-ietf-dnssd-mdns-dns-interop/reviewrequest/8384/

intdir Early Review requested

I would like this document reviewed for;

Internet area: focus on impacts related to internet technologies

IoT Directorate: Look for and highlight any issues that might be raised for IoT devices in this interop,

Ops: Are there any DNS operational implications to Label interop that should be raised.